#!/usr/interp/perl -w

$a = largest(10,200,300,49);
print("$a\n"); # 300

@g = (10,200,300,49);
$a = largest(@g);
print("$a\n"); # 300

@g = (10,200,3,49);
$a = pass_by_ref(@g);
print("$a\n"); # 300 (global !)
print("@g\n"); # hi hi hi hi

$a = pass_by_ref(10,200,300,49);
print("$a\n");
# Modification of a read-only value attempted at ./largest.pl line 39
# nothing printed

        sub largest {

         if (@_ == 0) {
           print("Warning no parameters passed to largest\n");
           return undef;
         }

         $max = $_[0];
         for($i = 1; $i < @_; $i++) {
           if($_[$i] > $max) {
             $max = $_[$i];
           }
         }

         return $max;

       }

        sub pass_by_ref {

         for($i = 0; $i < @_; $i++) {
           $_[$i] = "hi";
         }

         return $max;

       }

