#!/usr/interp/perl -w

# <STDIN> IN LIST CONTEXT
# By Louis Ziantz

# Description: This program is a demonstration of reading
#              from STDIN into an array.
# Procedure:   Several lines are read from input and
#             the array is output several ways.
# Input:       Lines of text from STDIN.
# Output:      Array read from STDIN in several ways.

print("This script stores the contents of file1 in file2\n");
print("with all letters made uppercase.\n");
print("Enter file1 (the input file): ");
chomp($file = <STDIN>);
print("Enter file2 (the output file): ");
chomp($upper_file = <STDIN>);


open(INFILE, "<$file") or die("Cannot open $file for input : $!\n");
open(UPFILE, ">$upper_file") or die("Cannot open $upper_file for output : $!\n");

while(<INFILE>) {
    print UPFILE ("\U$_");
}

close(INFILE) or die("Cannot close $file : $!\n");
close(UPFILE) or die("Cannot close $upper_file : $!\n");

